# Dual Licensing Agreement for Alethic Instruction State Machine (ISM)

**Version 1.0 – March 23, 2025**

*This document outlines the dual licensing terms under which Alethic Instruction State Machine (ISM) is made available by Kasra Rasaee*

---

## 1. Overview

Alethic Instruction State Machine (ISM) falls under a dual licensing model, allowing you to choose between the open source AGPLv3 license and an alternative commercial license. By using, modifying, or distributing the Software, you agree to the terms of the applicable license as described below.

---

## 2. Open Source License

For open source usage, Alethic Instruction State Machine (ISM) and all components made publicly is available under the [GNU AFFERO GENERAL PUBLIC LICENSE v3 (AGPLv3)](LICENSE). This license permits you to use, modify, and redistribute the Software provided that any distributed modifications or derivative works are licensed under the AGPLv3. Please see the full text of the AGPLv3 in the accompanying LICENSE file.

---

## 3. Commercial License

If you looking to modify Alethic Instruction State Machine (ISM) or any of its components in a proprietary, closed-source, or otherwise non–GPL-compatible manner, you may obtain a commercial license. Under the commercial license, you will be granted rights to:
- Use, modify, and distribute the Software in proprietary projects .
- Avoid the copyleft provisions of the AGPLv3.

**Terms and Conditions:**

- **Scope:** The commercial license covers the use of Alethic Instruction State Machine (ISM) in products and services that do not require the release of derivative source code under AGPLv3 terms.
- **Fees:** Licensing fees, payment terms, and other conditions will be negotiated on a case-by-case basis.
- **Support and Warranty:** Any support, maintenance, or warranty obligations under a commercial license will be specified in the separate commercial licensing agreement.
- **Termination:** The commercial license may be terminated as specified in the agreement.

To discuss obtaining a commercial license or to request a formal commercial licensing agreement, please contact us at [licensing@quantumwake.io](mailto:licensing@quantumwake.io) or visit [https://quantumwake.io](https://quantumwake.io).

---

## 4. License Selection

By downloading, using, modifying, or distributing Alethic Instruction State Machine (ISM) without a commercial license, you agree to be bound by the terms of the AGPLv3 as set forth in the OSS-LICENSE file. If you require a commercial license, you must first obtain it from Quantumwake.io, and the terms of that commercial license will govern your use of the Software.

---

## 5. Contact Information

For licensing inquiries or further information regarding either licensing option, please contact:

- **Email:** [licensing@quantumwake.io](mailto:licensing@quantumwake.io)
- **Website:** [https://quantumwake.io](https://quantumwake.io)

---
